using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class updatetableCommandReceiveraddPosition : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<DateTime>(
                name: "BirthDate",
                table: "CommandReceivers",
                type: "datetime(6)",
                maxLength: 40,
                nullable: true,
                comment: "วันเกิด");

            migrationBuilder.AddColumn<string>(
                name: "Organization",
                table: "CommandReceivers",
                type: "longtext",
                nullable: true,
                comment: "ชื่อหน่วยงาน root")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PositionLevel",
                table: "CommandReceivers",
                type: "longtext",
                nullable: true,
                comment: "ระดับ")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PositionName",
                table: "CommandReceivers",
                type: "longtext",
                nullable: true,
                comment: "ตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PositionNumber",
                table: "CommandReceivers",
                type: "longtext",
                nullable: true,
                comment: "เลขที่ตำแหน่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PositionType",
                table: "CommandReceivers",
                type: "longtext",
                nullable: true,
                comment: "ประเภท")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "BirthDate",
                table: "CommandReceivers");

            migrationBuilder.DropColumn(
                name: "Organization",
                table: "CommandReceivers");

            migrationBuilder.DropColumn(
                name: "PositionLevel",
                table: "CommandReceivers");

            migrationBuilder.DropColumn(
                name: "PositionName",
                table: "CommandReceivers");

            migrationBuilder.DropColumn(
                name: "PositionNumber",
                table: "CommandReceivers");

            migrationBuilder.DropColumn(
                name: "PositionType",
                table: "CommandReceivers");
        }
    }
}
